Canvas5StyleManagerInternal::State Struct Reference

Internal: the state of a Canvas5StyleManager. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::map< int, MWAWGraphicStyle::Arrow > | m_idToArrow
| the id to arrow map
std::map< int, std::shared_ptr< ColorStyle > > | m_idToColor
| the id to color style map
std::map< int, std::shared_ptr< PenStyle > > | m_idToPen
| the id to pen style map
std::map< int, std::vector< float > > | m_idToDash
| the id to dash map
std::map< int, Stroke > | m_idToStroke
| the id to stroke style map

## Detailed Description

Internal: the state of a Canvas5StyleManager.

## Constructor & Destructor Documentation

## ◆ State()

Canvas5StyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_idToArrow

std::map<int, MWAWGraphicStyle::Arrow> Canvas5StyleManagerInternal::State::m_idToArrow

the id to arrow map

Referenced by State().

## ◆ m_idToColor

std::map<int, std::shared_ptr<ColorStyle> > Canvas5StyleManagerInternal::State::m_idToColor

the id to color style map

Referenced by State().

## ◆ m_idToDash

std::map<int, std::vector<float> > Canvas5StyleManagerInternal::State::m_idToDash

the id to dash map

Referenced by State().

## ◆ m_idToPen

std::map<int, std::shared_ptr<PenStyle> > Canvas5StyleManagerInternal::State::m_idToPen

the id to pen style map

Referenced by State().

## ◆ m_idToStroke

std::map<int, Stroke> Canvas5StyleManagerInternal::State::m_idToStroke

the id to stroke style map

Referenced by State().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.cxx